commit:     bd418406615f61e4902592cf61eda23cac749bd4
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 00:00:05 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 00:59:21 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd418406

games-action/transcend: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../transcend/files/transcend-0.3-sound.patch      | 20 +++----
 games-action/transcend/transcend-0.3-r1.ebuild     | 66 ++++++++++++++++++++++
 2 files changed, 76 insertions(+), 10 deletions(-)

diff --git a/games-action/transcend/files/transcend-0.3-sound.patch 
b/games-action/transcend/files/transcend-0.3-sound.patch
index 44ac10f..836cd03 100644
--- a/games-action/transcend/files/transcend-0.3-sound.patch
+++ b/games-action/transcend/files/transcend-0.3-sound.patch
@@ -1,7 +1,7 @@
 Author: Barry deFreese <[email protected]>
 Description: Build with portaudio19.
---- a/Transcend/game/SoundPlayer.h
-+++ b/Transcend/game/SoundPlayer.h
+--- a/game/SoundPlayer.h
++++ b/game/SoundPlayer.h
 @@ -204,7 +204,7 @@
          double mMusicLoudness;
          
@@ -11,8 +11,8 @@ Description: Build with portaudio19.
  
          // realtime sounds that should be mixed into the next to-speaker call
          SimpleVector<PlayableSound *> *mRealtimeSounds;
---- a/Transcend/game/SoundPlayer.cpp
-+++ b/Transcend/game/SoundPlayer.cpp
+--- a/game/SoundPlayer.cpp
++++ b/game/SoundPlayer.cpp
 @@ -47,9 +47,11 @@
  
  
@@ -52,8 +52,8 @@ Description: Build with portaudio19.
          
 Description: Link to dynamic portaudio instead of static.
 Author: Miriam Ruiz <[email protected]>
---- a/Transcend/Makefile.GnuLinuxX86
-+++ b/Transcend/Makefile.GnuLinuxX86
+--- a/Makefile.GnuLinuxX86
++++ b/Makefile.GnuLinuxX86
 @@ -22,7 +22,7 @@
  
  # pthread library needed for linux
@@ -63,8 +63,8 @@ Author: Miriam Ruiz <[email protected]>
  
  
  # All platforms but OSX support g++ and need no linker hacks
---- a/Transcend/game/SoundPlayer.h
-+++ b/Transcend/game/SoundPlayer.h
+--- a/game/SoundPlayer.h
++++ b/game/SoundPlayer.h
 @@ -46,8 +46,7 @@
  #include "SoundFilter.h"
  #include "PlayableSound.h"
@@ -75,8 +75,8 @@ Author: Miriam Ruiz <[email protected]>
  
  
  #include "minorGems/util/SimpleVector.h"
---- a/Transcend/game/SoundPlayerActive.h
-+++ b/Transcend/game/SoundPlayerActive.h
+--- a/game/SoundPlayerActive.h
++++ b/game/SoundPlayerActive.h
 @@ -16,8 +16,7 @@
  
  #include "SoundSamples.h"

diff --git a/games-action/transcend/transcend-0.3-r1.ebuild 
b/games-action/transcend/transcend-0.3-r1.ebuild
new file mode 100644
index 00000000..59b0df4
--- /dev/null
+++ b/games-action/transcend/transcend-0.3-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Retro-style, abstract, 2D shooter"
+HOMEPAGE="http://transcend.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/Transcend_${PV}_UnixSource.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="
+       media-libs/freeglut
+       media-libs/portaudio
+       x11-libs/libXi
+       x11-libs/libXmu
+       virtual/glu
+       virtual/opengl"
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}/Transcend_${PV}_UnixSource/Transcend
+
+# Apply patch from Debian in order to get sound working. bug #372413
+PATCHES=(
+       "${FILESDIR}"/${P}-sound.patch
+)
+
+src_prepare() {
+       default
+
+       rm -rf game/Makefile portaudio/ || die
+       sed \
+               -e '/^GXX=/d' \
+               -e 's/GXX/CXX/' \
+               -e '/^COMPILE_FLAGS =/ s/OPTIMIZE_FLAG/CXXFLAGS/' \
+               -e '/^EXE_LINK =/ s/LINK_FLAGS/LDFLAGS/' \
+               Makefile.GnuLinuxX86 \
+               Makefile.common \
+               Makefile.minorGems \
+               game/Makefile.all \
+               Makefile.minorGems_targets \
+               > game/Makefile || die
+       sed -i \
+               -e "s:\"levels\":\"/usr/share/${PN}/levels\":" \
+               game/LevelDirectoryManager.cpp \
+               game/game.cpp || die
+}
+
+src_configure() { :; }
+
+src_compile() {
+       emake -C game
+}
+
+src_install() {
+       newbin game/Transcend ${PN}
+       insinto /usr/share/${PN}
+       doins -r levels/
+       dodoc doc/{how_to_play.txt,changeLog.txt}
+       make_desktop_entry ${PN} "Transcend"
+}

Reply via email to